/* ===== BASE E CABEÇALHO ===== */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Inter', system-ui, -apple-system, BlinkMacSystemFont, sans-serif;
  background-color: #b30d36; 
  color: #4c0519; 
  line-height: 1.6;
}

img {
  max-width: 120%;
  display: block;
}


.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 1.5rem;
}

.navbar {
  position: sticky;
  top: 0;
  z-index: 100;
  background: rgba(255, 241, 242, 0.85);
  backdrop-filter: blur(10px);
  border-bottom: 1px solid #fecdd3;
}

.nav-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 140px;
}

.logo-img {
  height: 190px;
}

.nav-links a {
  margin-left: 1.5rem;
  text-decoration: none;
  font-size: 1.1rem;
  font-weight: 700;
  color: #be123c;
  transition: color 0.2s ease;
}

.nav-links a:hover {
  color: #e11d48;
}

.estado-menu {
  display: none;
  flex-direction: column;
  cursor: pointer;
  background: none;
  border: none;
  gap: 5px;
}

.barra {
  width: 25px;
  height: 3px;
  background-color: #be123c;
  border-radius: 5px;
  transition: 0.3s;
}

@media (max-width: 768px) {
  .estado-menu {
    display: flex;
  }

  .nav-links {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 70px;
    right: 0;
    background-color: #fff1f2;
    width: 100%;
    text-align: center;
    box-shadow: 0 10px 20px rgba(0,0,0,0.1);
    padding: 2rem 0;
  }

  .nav-links.active {
    display: flex;
  }
}

/* ===== INICIO ===== */
.inicio {
  padding: 6rem 0 5rem;
  background: linear-gradient(
    to right,
    #fff1f2 0%,
    #fff1f2 40%,
    #ffe4e6 55%,
    #fff1f2 100%
  );
}

.inicio-grid {
  display: grid;
  grid-template-columns: 1.1fr 1fr;
  gap: 3rem;
  align-items: center;
}

.badge {
  display: inline-block;
  background: #ffd5df;
  color: #be123c;
  padding: 0.9rem 6rem;
  border-radius: 999px;
  font-size: 1.5rem;
  font-weight: 650;
  margin-bottom: 3rem;
}

.badge1 {
  display: inline-block;
  background: #ffd5df;
  color: #be123c;
  padding: 0.6rem 3rem;
  border-radius: 999px;
  font-size: 1rem;
  font-weight: 650;
  margin-bottom: 3rem;
}

.inicio-text h1 {
  font-size: 3.5rem;
  font-weight: 800;
  line-height: 1.1;
  margin-bottom: 1.5rem;
}

.inicio-text h1 span {
  background: linear-gradient(90deg, #f43f5e, #ec4899);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.inicio-text p {
  font-size: 1.2rem;
  color: rgba(76, 5, 25, 0.75);
  max-width: 500px;
}

.inicio img {
  border-radius: 2rem;
  border: 8px solid rgba(255, 255, 255, 0.6);
  box-shadow: 0 30px 60px rgba(225, 29, 72, 0.25);
}


/* ===== PROGRAMAÇÃO ===== */

.programacao {
  padding: 6rem 0 5rem;
  background: linear-gradient(
    to right,
    #fff1f2 0%,
    #fff1f2 40%,
    #ffe4e6 55%,
    #fff1f2 100%
  );
}

.section-header {
  text-align: center;
  margin-bottom: 4rem;
}

.section-header h2 {
  font-size: 2.5rem;
  margin: 1rem 0;
}

.section-header p {
  color: rgba(76, 5, 25, 0.7);
  max-width: 600px;
  margin: 0 auto;
}

.timeline {
  max-width: 800px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.timeline-item {
  display: flex;
  gap: 2rem;
  align-items: flex-start;
  background: white;
  padding: 2rem;
  border-radius: 1.5rem;
  border: 1px solid #fecdd3;
  box-shadow: 0 10px 30px rgba(225, 29, 72, 0.08);
  transition: 0.3s ease;
}

.timeline-item:hover {
  transform: translateY(-5px);
  box-shadow: 0 20px 40px rgba(225, 29, 72, 0.15);
}

.time {
  font-size: 1.4rem;
  font-weight: 700;
  color: #e11d48;
  min-width: 80px;
}

.content h3 {
  margin-bottom: 0.5rem;
  font-size: 1.2rem;
}

.content h5 {
  margin-bottom: 0.5rem;
  font-size: 0.5rem;
}

.content p {
  color: rgba(76, 5, 25, 0.7);
}

.badge {
  display: inline-flex;
  align-items: center;
  gap: 0.5rem;
}

.badge i {
  width: 16px;
  height: 16px;
}

.divider {
  margin: 0 0.3rem;
  opacity: 0.6;
}

/* ===== PALESTRANTES ===== */

.palestrantes {
  padding: 6rem 0;
  background: linear-gradient(180deg, #fff1f2, #ffffff);
  text-align: center;
}


.palestrantes-grid {
max-width: 1200px;
margin: 0 auto;
}

.palestrantes-card {
  display: grid;
  grid-template-columns: 250px 1fr;
  gap: 3rem;
  align-items: center;
  padding: 2rem;
  margin-bottom: 3rem;
}

.palestrantes-card img {
  width: 100%;
  height: 300px;
  object-fit: cover;
  border-radius: 2rem;
  border: 8px solid rgba(255, 255, 255, 0.6);
  margin: 0 auto 1rem;
  box-shadow: 0 30px 60px rgba(225, 29, 72, 0.25);

}

.palestrantes-box {
  width: 100%;
  max-width: 100%;
  margin: 0 auto 1rem;
  background: white;
  padding: 2rem;
  border: 1px solid #fecdd3;
  border-radius: 2rem;
  gap: 1.5rem;
  box-shadow: 0 30px 60px rgba(225, 29, 72, 0.25);
}

@media (max-width: 768px) {
  .palestrantes-card {
    grid-template-columns: 1fr; 
    align-items: center;
    gap: 1.5rem;
  }
  
  .palestrantes-card img {
    max-width: 200px;
    height: 200px;
  }
}

.palestrantes h2 {
  font-size: 2.5rem;
  font-weight: 800;
  margin-bottom: 1rem;
  background: linear-gradient(90deg, #be123c, #ec4899);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.palestrantes p {
  color: rgba(76, 5, 25, 0.7);
}

.palestrantes h3 {
  color: rgba(76, 5, 25, 0.7);
  font-size: 1.5rem;
  font-weight: 800;
  margin: 0 auto 1rem;

}

/* ===== MEDIADORAS ===== */
.mediadoras {
  padding: 6rem 0 5rem;
  background: linear-gradient(
    to right,
    #fff1f2 0%,
    #fff1f2 40%,
    #ffe4e6 55%,
    #fff1f2 100%
  );
  text-align: center;
}

.mediadoras h2 {
  font-size: 2.5rem;
  font-weight: 800;
  margin-bottom: 1rem;
  background: linear-gradient(90deg, #be123c, #ec4899);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.mediadoras-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  justify-content: center;
}

.mediadoras-card {
  flex: 0 1 calc(33.33% - 2rem);
  min-width: 250px;
  text-align: center;
}

.mediadoras-card img {
  width: 100%;
  max-width: 220px;
  height: 260px;
  object-fit: cover;
  border-radius: 2rem;
  border: 8px solid rgba(255, 255, 255, 0.6);
  box-shadow: 0 30px 60px rgba(225, 29, 72, 0.25);
  margin: 0 auto 1rem;
}

@media (max-width: 768px) {
  .mediadoras-card {
    flex: 0 1 100%;
  }
}

/* ===== INSCRIÇÃO ===== */
.inscricao {
  padding: 6rem 0;
  background: linear-gradient(180deg, #fff1f2, #ffffff);
  text-align: center;
}

.inscricao h2 {
  font-size: 2.7rem;
  font-weight: 800;
  margin-bottom: 1rem;
  background: linear-gradient(90deg, #be123c, #ec4899);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.inscricao .section-desc {
  max-width: 650px;
  margin: 0 auto 3rem;
  font-size: 1.1rem;
  color: rgba(76, 5, 25, 0.75);
}

.inscricao-box {
  max-width: 900px;
  margin: 0 auto 3rem;
  background: white;
  padding: 3rem 3rem;
  border-radius: 2rem;
  border: 1px solid #fecdd3;
  box-shadow: 0 20px 50px rgba(225, 29, 72, 0.15);
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.passo {
  display: flex;
  gap: 1rem;
  text-align: left;
  align-items: center;
}

.passo span {
  width: 30px;
  height: 30px;
  background: #e11d48;
  color: white;
  font-weight: bold;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}

.passo p {
  color: rgba(76, 5, 25, 0.8);
}

.botao-inscricao {
  display:inline-block;
  padding: 10px 15px;
  background-color: #e11d48;
  color: white;
  text-decoration: none;
  border-radius: 999px;
  font-size: 1.5rem;
  font-weight: 650;
  transition: 0.9s;
  margin-bottom: 4rem;
}


.botao-inscricao:hover {
  background-color: #be123c;
  transform: scale(1.09);
}


/* ===== ORGANIZAÇÃO ===== */
.organizacao {
  padding: 6rem 0 5rem;
  background: linear-gradient(
    to right,
    #fff1f2 0%,
    #fff1f2 40%,
    #ffe4e6 55%,
    #fff1f2 100%
  );
  text-align: center;
}

.secao-spacing {
  margin-top: 7rem;
}

.organizacao h2 {
  font-size: 2.5rem;
  font-weight: 800;
  margin-bottom: 1rem;
  background: linear-gradient(90deg, #be123c, #ec4899);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.organizacao .section-desc {
  max-width: 650px;
  margin: 0 auto 3rem;
  color: rgba(76, 5, 25, 0.7);
}

.organizacao-grid {
  display: flex;
  gap: 30px;
  justify-content: center;
  flex-wrap: wrap;
}

.organizacao-card {
  width: 260px;
  height: 140px;
  background: #fecdd3;
  border-radius: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px;
}

.organizacao-card.destaque img {
  max-width: 95%;
  max-height: 95%;
}

.organizacao-card img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

.organizacao-professoras-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  justify-content: center;
}

.organizacao-prof-card {
  flex: 0 1 calc(33.33% - 2rem);
  min-width: 250px;
  text-align: center;
}

.organizacao-prof-card img {
  width: 100%;
  max-width: 220px;
  height: 260px;
  object-fit: cover;
  border-radius: 2rem;
  border: 8px solid rgba(255, 255, 255, 0.6);
  box-shadow: 0 30px 60px rgba(225, 29, 72, 0.25);
  margin: 0 auto 1rem;
}

.organizacao-meninas-digitais-card img {
  width: 100%;
  height: 220px;        
  object-fit: contain;    
  background: white;      
  border-radius: 2rem;
  border: 8px solid rgba(255, 255, 255, 0.6);
  box-shadow: 0 30px 60px rgba(225, 29, 72, 0.25);
  display: block;
  margin: 0 auto 1rem;
}

@media (max-width: 768px) {
  .organizacao-prof-card {
    flex: 0 1 100%;
  }
}

.oficina {
  padding: 10px 0;
}

/* ===== FOOTER ===== */
.footer {
  background-color: #b30d36;
  color: #f8e8ea;
  padding: 5rem 0 2rem;
}

.footer-grid {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr 1.5fr;
  gap: 3rem;
}

.footer-logos {
  display: flex;
  justify-content:flex-start; 
  align-items:flex-start;
  gap: 30px;
}

.footer-logo {
  height: 110px;
  width: 110px;
  margin-bottom: 1rem;
  background: rgba(255,255,255,0.1);
  padding: 0.5rem;
  border-radius: 1rem;
}

.footer h4 {
  color: white;
  margin-bottom: 1rem;
}

.footer a {
  display: block;
  text-decoration: none;
  color: #fda4af;
  margin-bottom: 0.6rem;
  font-size: 0.95rem;
}

.footer a:hover {
  color: white;
}

.socials span {
  margin-right: 0.8rem;
  font-size: 1.2rem;
  cursor: pointer;
}

.newsletter {
  display: flex;
  gap: 0.5rem;
}

.footer-copyright {
  margin-top: 3rem;
  padding-top: 2rem;
  text-align: center;
}

.footer-copyright p {
  color: white;
  font-size: 1.1rem;
  opacity: 0.8;
}
